using Microsoft.EntityFrameworkCore;
using PARR.DAL.Context;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace PARR.DAL.Models.Unit
{
    [Table("RegionalEkPtkGroups", Schema = DataContextSettings.Unit)]
    [Comment("Таблица - региональные группы ПТК")]
    public class UnitRegionalEkPtkGroup
    {
        [Key]
        public Guid FieldValueId { get; set; }

        [ForeignKey(nameof(FieldValueId))]
        public UnitFieldValue? FieldValue { get; set; }
    }
}
